Advanced HTML Optimizer

Advanced HTML Optimizer - the easiest way to save your and your customers' money!

Advanced HTML Optimizer is intended for HTML documents optimizing, resulting in shorter downloading / uploading time. Pages will appear in client's Internet browser in exactly the same way, but they will be about 20% smaller.

Its main function is to save space on your web pages by removing unnecessary characters and tags. Though the saving percentage may seem small, load time savings is much higher as your client's Internet browser parses the pages more efficient.

Embedded script code is not ruined by Advanced HTML Optimizer!

It will help you to make site traffic more effective and cheaper and to lower disk space usage. Also Advanced HTML Optimizer makes HTML code unreadable for users that are going to steal your own HTML techniques.

Speed up your site by optimizing your HTML files!

A must-have for Webmasters!

Who needs Advanced HTML Optimizer?

Anyone who wants to:
  • save local disk space;
  • save provider disk space;
  • reduce traffic volume;
  • increase the speed of a website;
  • help their visitors to save time and money;
  • hide his coding secrets.

Why do I need Advanced HTML Optimizer?

Because if a page doesn't load in 8 seconds, you'll lose 1/3 of your visitors! Advanced HTML Optimizer can significantly speed up your site.

Copyright © 2004 AEVITA Software Ltd. ALL RIGHTS RESERVED.


Optimization features:

  • Replacement of simple tags (STRONG with B, EM with I, STRIKE with S, BLOCKQUOTE with UL and so on) when specified;
  • Removal of unnecessary tag parameters quotation-marks;
  • Removal of unnecessary double space symbols;
  • Removal of all CR symbols if such symbols exist;
  • Removal of unnecessary LF symbols;
  • Removal of other unnecessary space and tabulation symbols;
  • HTML comments removal;
  • Absolute addresses cutting when specified.

Other features:

  • Incredibly fast;
  • ColdFusion files support;
  • Active Server Pages files support;
  • XML files support;
  • PHP files support;
  • Backup file operations;
  • Single file mode / Batch mode;
  • Directory processing;
  • Drag-and-Drop and Commanline support;
  • Single pass optimization;
  • Logging
  • Does not require installed browser;
  • Has no special hardware requirements, no runtime libs needed;
  • Life-time technical support;
  • Nice and easy to use interface;
  • Install / Uninstall Support.


Supported formats

Please let us know if your favorite HTML format is not supported and we will add its support in future versions. Now supported:

  • HTML files (*.html, *.htm, *.jhtml, *.jhtm)
  • ColdFusion files (*.cfml, *.cfm)
  • Active Server Pages files (*.asp)
  • XML files (*.xml)
  • SSI files (*.shtml, *.shtm, *.sht)
  • PHP files (*.php, *.php3, *.php4, *.phtml, *.phtm, *.pht)


General information about Backup Files

If Backup is enabled, Advanced HTML Optimizer will copy the whole tree structure with the original HTML files to the specified Backup folder. In this case the backup files will still keep their original file extensions. They are only transferred to another location on your system. So it's easy to restore them with any windows file manager.

Note: You can disable creating backups and specify a new Backup folder in the Options Window.

Be aware: Like in any other application, a backup file is always created from the last state of your HTML file! If you are just playing around with Advanced HTML Optimizer (we know many users love to do this), don't forget to restore your files every time.


Drag and Drop

This is an alternative way of opening a file. This is used when you have a file already on your hard disk and you already have an explorer window open in it's directory.

Simply drag the file onto Advanced HTML Optimizer. If Advanced HTML Optimizer is not visible (hidden behind another window) or minimized, drag the file down to the task bar and hover over Advanced HTML Optimizer (without releasing the mouse button). Advanced HTML Optimizer will then open to allow you to drop the file onto it.

To drag and drop: Point to an item, press and hold down the mouse button, and drag the image file to Advanced HTML Optimizer. Then release the mouse button.


Command line

Advanced HTML Optimizer recognizes now command line parameters. It's also possible to drag'n'drop files to an open instance of Advanced HTML Optimizer.

General Syntax:

htmlopt.exe myfile_withpath.htm

Example:

htmlopt.exe myfile_withpath.htm

Starts Advanced HTML Optimizer and opens the file "myfile.htm" immediately. Please note that the filename should always include the whole Directory Path (E.g. "C:\htmlfiles\myfile.htm").

Notes:

  • Passing an invalid or non existing filename doesn't work.
  • Only a single file can be passed (no wildcards like *.htm).


File menu comands

Select Files
Adds a single file (or more for batch processing) to project.

Select Tree
Chooses a directory tree for batch processing.

Information...
Shows selected file information.

Preview
Previews selected file in default Internet-browser.

Exit
Exits Advanced HTML Optimizer.


Edit menu comands

Remove
Removes selected file(s) from list.

Clear List
Removes all list entries.

Options
Opens Options Window.


Actions menu comands

Optimize
Starts the optimization process.

Restore
Restores file(s) from the last Backup.


View menu comands

Show Toolbar
Shows/hides the Toolbar.

Show Statusbar
Check this to display the status bar at the bottom of the Advanced HTML Optimizer window.

Log File
Shows the current log file.


About menu comands

Help Topics
Opens the Advanced HTML Optimizer Help window.

Web Site
Opens Advanced HTML Optimizer homepage in your Internet-browser.

Contact us
Please send us your bug-reports, comments or suggestions to improve the Advanced HTML Optimizer.

About
Shows the Advanced HTML Optimizer version and the person who the program is registered to.


General Tab

Enable sounds
Enables sound effects

Show Tips at Startup
Shows Tip-of-the-Day Dialog at Startup

Enable logging
Enables logging. Press 'View' button to view the current log file.


Optimization Tab

Replace tags
Here you can enable or disable certain tags replacement rules or add your own ones.

Do not compress between tags
Text resided between these tags will not be modified by optimizing.

Compression options
Here you can adjust optimization options.


Advanced Tab

Remove tags
These tags will be removed by optimizing (if specified).

Cut absolute addresses
In some cases there is no need to give the absolute URL of a file in your HTML document. It's sufficient to give relative URL which is just absolute URL shorcut. This can also reduce the size of a HTML document.


Backup Tab

Modify source files
If selected, source files will be modified by optimization. If you have enabled Backup and specified the Backup folder a backup copy of each source file will be made before optimization (folder structure will be preserved).

Leave source files unchanged
If selected, optimized files will be saved to the Output folder (folder structure will be also preserved).


Benefits of Registration

As registered user, you:

  • May optimize more than 5 files at one time;
  • May use Advanced HTML Optimizer in commercial and other environments;
  • Get Life-time Technical Support including support via e-mail;
  • Get Special Discounts on other Software;
  • Don't see the Nag-screen at Start-up;
  • Get new versions FREE upgrade;
  • Encourage the author to further develop and improve Advanced HTML Optimizer, making possible new releases.


How to register

You can register your copy of Advanced HTML Optimizer at a cost of just $24.95 for a personal license or $39.95 for a business license.

With the personal license, you can use the program for non-commercial purposes in non-business, non commercial environment (typically - on your home PC). To use the program in a corporate, government or business environment, you should purchase the business license.

Please select one of the following ways to purchase:

  • Purchase Advanced HTML Optimizer online

    This is the fastest and easiest way to purchase. The ordering page is on a secure server, ensuring that your confidential information remains confidential.

    For details on ordering Advanced HTML Optimizer through the Web, please go to the Advanced HTML Optimizer Order page at:

    http://www.aevita.com/buy/online.htm

  • Purchase Advanced HTML Optimizer offline

    The next best way to order Advanced HTML Optimizer is by fax (also using the credit card) or phone (toll-free). In addition, you can send us the check; money orders are also accepted.

    For details on ordering Advanced HTML Optimizer offline, please print out the following order form, fill in and then fax or mail it to us:

    Advanced HTML Optimizer Offline Order Form

On payment approval (usually, in one-two business days), we'll send you the registration key which will remove all limitations of unregistered version. Your registration will be valid for all future versions of Advanced HTML Optimizer.

If you will not get your registration key within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us about that! We apologize for any inconvenience caused by those delays.

Important: When filling the order form, please double-check that your e-mail address is correct. If it will not, we'll be unable to send you the registration code.

Thank you for support!

Copyright © 2004 AEVITA Software Ltd. ALL RIGHTS RESERVED.


Technical Support

If you have already purchased licenses for our product(s), please write to reg_support@aevita.com. We quickly respond to all questions submitted to this e-mail address in the order they are received.

If you are not yet an AEVITA customer, please use this address: support@aevita.com.

At any time, you can use our online Problem Submission Page to contact our support staff.

Our staff is available to respond to your inquiries 24 hours a day, excluding holidays. Messages are normally answered within 24 hours.


Lost registration key?

If you have lost your registration key, please use our Lost Registration Key Page to get it back. The key will be re-sent to your e-mail address within a very short time.


Advanced HTML Optimizer - AEVITA Software Ltd. & Co KG - http://www.aevita.com

Advanced HTML Optimizer Order Form

License Type: [ ] personal license (ID #218121)
              [ ] business license (ID #218122)

Last Name:______________________________________________________________

First Name:_____________________________________________________________

Company:________________________________________________________________

VAT-ID:_________________________________________________________________
             (only for European business customers, if applicable)

Street Address:_________________________________________________________

City:_____________________ State/Province:______________________________

Zip/Postal Code:________________________________________________________

Country:________________________________________________________________

Phone:__________________________________________________________________

Fax:____________________________________________________________________

Email Address:__________________________________________________________
                  >>>> IMPORTANT! BE SURE YOUR EMAIL IS CORRECT <<<<

How would you like to pay the registration fee:

[ ] Credit Card   [ ] Check   [ ] Cash   [ ] Bank/Wire Transfer
[ ] Money order (only accepted at the US office, in $USD ONLY)

Credit card information (if applicable)

Credit card: [ ] Visa   [ ] Eurocard/MasterCard   [ ] American Express
             [ ] JCB    [ ] Diners Club           [ ] Switch/Solo

Card holder: ___________________________________________________________

Card No.: ______________________________________________________________

Date of Expiration: ____________________________________________________

Date / Signature: ______________________________________________________

_________________________________________________
Please print out the order form, fill in, fax or mail it to:

US and Canadian Customers

ShareIt! Inc.
a service of digital river
9625 West 76th Street, Suite 150
Eden Prairie, MN 55344, USA

Phone: +1 (952) 646 5747
Fax: +1 (952) 646 4552
E-mail: info@shareit.com 		International Customers

share-it!
a service of digital river
Vogelsanger Strasse 78
50823 Cologne, Germany

Phone: +49 (0) 221-3 10 88 20
Fax: +49 (0) 221-3 10 88 29
E-Mail: info@shareit.de

Important Payment Information

- Payments must be made out to "ShareIt!".

- Payments send to USA office must be in $USD.

- Payments send to Germany office may be in one of the following currencies:
US Dollars ($US), Canadian Dollars($CAN), Euro, Pounds Sterling, Australian Dollars,
Japanese Yen, Swiss Francs.

- US and Canadian customers may also order by calling 1-800-903-4152 (orders only please!).

- Email orders are also accepted at: service@shareit.com


What is your return policy?

We offer a 30-day unconditional money-back guarantee. That is, if you are dissatisfied with any our product you have bought from us or our authorized dealer for any reason, you may return it at any time up to 30 days after purchase and we will give you a full refund (less shipping, if applicable). You must contact us before returning any product for a refund. This does not apply to multi-system licenses for more than 10 users/computers, or to purchases of more than 10 individual copies at a time.


What is the difference between the Evaluation and Registered versions?

There is some functional difference between the evaluation and registered (licensed) versions of our products: some features of the licensed versions are not available and can not be used in the evaluation versions.

The one more difference between the licensed and evaluation versions is the "registration reminders", displayed by the evaluation versions from time to time.

To suppress the registration reminder screens, you must enter into the evaluation version your registration code. We provide you with your registration code after you have purchased a license for continued use.


Can I order your products without a credit card?

Yes, you can. Besides credit cards, we accept checks, wire transfers (bank transfers), cash and money orders. Click here for more information.


What do I get after I have registered a product of yours?

When you register (that is, purchase a license for continued use) a product of ours, you get:

  • Your personal registration code (sent by email), allowing you to "unlock" disabled features and to remove the "registration reminders" from the program;
  • FREE upgrades;
  • FREE customer support by email.


Do you offer quantity discounts?

Yes, we do. Please contact our Sales Department for more information.


For how many users/computers should I purchase a license?

Our products are licensed on the 'per-user' basis. This means that you may purchase a single individual license and install the software on more than one computer (for example, a desktop system and a notebook), provided that there is *no possibility* to use the Registered Copy by anybody else. If, however, more than one person uses a computer, every such user must purchase an individual license for continued use of the software, or a site license for the total number of users accessing the computer must be obtained.


May I make a copy for a friend?

Yes, you may give evaluation copies of our programs to your friends and associates (It's trialware, after all!). However, you may NOT share the registration code(s), if any, with anybody else. Please remember that the registration codes we provide you with are for your own use only. If your friends like our programs, please let them purchase their own registration codes. To avoid possible confusion, please give out the original files you may download from our site at http://www.aevita.com.

There are several other simple, but important conditions which we impose on further redistribution of our programs. Unless you have obtained a written permission from us to do otherwise, you must:

  • Include ALL of the UNMODIFIED original files of the evaluation version.
  • Inform the user that the evaluation copies are for the evaluation purposes ONLY.
  • Not charge for the evaluation copies.
  • Not bundle our software with other programs.
  • Once again, please don't share the registration codes.


License for use and distribution

The Advanced HTML Optimizer is trialware ("try-before-buy"). This means:

  • All copyrights to Advanced HTML Optimizer are exclusively owned by the company - AEVITA Software Ltd.
  • Anyone may use this software during a trial period of 30 days. Following this trial period of 30 days or less, if you wish to continue to use Advanced HTML Optimizer, you must register.
  • Once registered, the user is granted a non-exclusive license to use Advanced HTML Optimizer on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered Advanced HTML Optimizer software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.
  • The Advanced HTML Optimizer unregistered trialware version, may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of Advanced HTML Optimizer without written permission from the copyright holder.
  • ADVANCED HTML OPTIMIZER IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
  • All rights not expressly granted here are reserved by AEVITA Software Ltd.
  • Installing and using Advanced HTML Optimizer signifies acceptance of these terms and conditions of the license.
  • If you do not agree with the terms of this license you must remove Advanced HTML Optimizer files from your storage devices and cease to use the product.